## qtmobilehotspot 0.2

=== qtMobileHotspot/Makefile ===
#############################################################################
# Makefile for building: ../build/qtmobilehotspot
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Sep 21 00:19:39 2011
# Project:  qtMobileHotspot.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile qtMobileHotspot.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -Isrc/.tmp -Isrc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -lgq-gconf -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/main.cpp \
		src/mobilehotspotgui.cpp \
		src/accesspointgui.cpp \
		src/internetaccessgui.cpp \
		src/mobilehotspotconfiguration.cpp \
		src/commandhelper.cpp \
		src/dbushelper.cpp \
		src/apnhelper.cpp \
		src/hotspothelper.cpp \
		src/mobilehotspotpluginhelper.cpp src/.tmp/moc_mobilehotspotgui.cpp \
		src/.tmp/moc_accesspointgui.cpp \
		src/.tmp/moc_internetaccessgui.cpp \
		src/.tmp/moc_mobilehotspotconfiguration.cpp
OBJECTS       = build/main.o \
		build/mobilehotspotgui.o \
		build/accesspointgui.o \
		build/internetaccessgui.o \
		build/mobilehotspotconfiguration.o \
		build/commandhelper.o \
		build/dbushelper.o \
		build/apnhelper.o \
		build/hotspothelper.o \
		build/mobilehotspotpluginhelper.o \
		build/moc_mobilehotspotgui.o \
		build/moc_accesspointgui.o \
		build/moc_internetaccessgui.o \
		build/moc_mobilehotspotconfiguration.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		qtMobileHotspot.pro
QMAKE_TARGET  = qtmobilehotspot
DESTDIR       = ../build/
TARGET        = ../build/qtmobilehotspot

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): src/ui_mobilehotspotgui.h src/ui_accesspointgui.h src/ui_internetaccessgui.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../build/ || $(MKDIR) ../build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: qtMobileHotspot.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -o Makefile qtMobileHotspot.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../globalsettings.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtCore.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile qtMobileHotspot.pro

dist: 
	@$(CHK_DIR_EXISTS) build/qtmobilehotspot0.2 || $(MKDIR) build/qtmobilehotspot0.2 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/qtmobilehotspot0.2/ && $(COPY_FILE) --parents src/mobilehotspotgui.h src/ui_mobilehotspotgui.h src/accesspointgui.h src/ui_accesspointgui.h src/internetaccessgui.h src/ui_internetaccessgui.h src/mobilehotspotconfiguration.h src/commandhelper.h src/dbushelper.h src/apnhelper.h src/hotspothelper.h src/mobilehotspotplugin.h src/mobilehotspotpluginhelper.h build/qtmobilehotspot0.2/ && $(COPY_FILE) --parents src/main.cpp src/mobilehotspotgui.cpp src/accesspointgui.cpp src/internetaccessgui.cpp src/mobilehotspotconfiguration.cpp src/commandhelper.cpp src/dbushelper.cpp src/apnhelper.cpp src/hotspothelper.cpp src/mobilehotspotpluginhelper.cpp build/qtmobilehotspot0.2/ && $(COPY_FILE) --parents src/mobilehotspotgui.ui src/accesspointgui.ui src/internetaccessgui.ui build/qtmobilehotspot0.2/ && $(COPY_FILE) --parents fr.ts build/qtmobilehotspot0.2/ && (cd `dirname build/qtmobilehotspot0.2` && $(TAR) qtmobilehotspot0.2.tar qtmobilehotspot0.2 && $(COMPRESS) qtmobilehotspot0.2.tar) && $(MOVE) `dirname build/qtmobilehotspot0.2`/qtmobilehotspot0.2.tar.gz . && $(DEL_FILE) -r build/qtmobilehotspot0.2


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) ../build/qtmobilehotspot
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: src/.tmp/moc_mobilehotspotgui.cpp src/.tmp/moc_accesspointgui.cpp src/.tmp/moc_internetaccessgui.cpp src/.tmp/moc_mobilehotspotconfiguration.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) src/.tmp/moc_mobilehotspotgui.cpp src/.tmp/moc_accesspointgui.cpp src/.tmp/moc_internetaccessgui.cpp src/.tmp/moc_mobilehotspotconfiguration.cpp
src/.tmp/moc_mobilehotspotgui.cpp: src/dbushelper.h \
		src/mobilehotspotconfiguration.h \
		src/mobilehotspotplugin.h \
		src/ui_mobilehotspotgui.h \
		src/mobilehotspotgui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/mobilehotspotgui.h -o src/.tmp/moc_mobilehotspotgui.cpp

src/.tmp/moc_accesspointgui.cpp: src/mobilehotspotconfiguration.h \
		src/ui_accesspointgui.h \
		src/accesspointgui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/accesspointgui.h -o src/.tmp/moc_accesspointgui.cpp

src/.tmp/moc_internetaccessgui.cpp: src/mobilehotspotconfiguration.h \
		src/ui_internetaccessgui.h \
		src/internetaccessgui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/internetaccessgui.h -o src/.tmp/moc_internetaccessgui.cpp

src/.tmp/moc_mobilehotspotconfiguration.cpp: src/mobilehotspotconfiguration.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/mobilehotspotconfiguration.h -o src/.tmp/moc_mobilehotspotconfiguration.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:

=== qtMobileHotspot/qtmhDummy/Makefile ===
#############################################################################
# Makefile for building: libqtmhdummy.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Sep 21 00:19:39 2011
# Project:  qtmhDummy.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile qtmhDummy.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -Isrc/.tmp -Isrc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lgq-gconf -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = ../src/mobilehotspotpluginhelper.cpp \
		../src/mobilehotspotconfiguration.cpp \
		src/plugin.cpp \
		src/pluginconfiguration.cpp \
		src/plugingui.cpp src/.tmp/moc_mobilehotspotconfiguration.cpp \
		src/.tmp/moc_plugin.cpp \
		src/.tmp/moc_plugingui.cpp
OBJECTS       = build/mobilehotspotpluginhelper.o \
		build/mobilehotspotconfiguration.o \
		build/plugin.o \
		build/pluginconfiguration.o \
		build/plugingui.o \
		build/moc_mobilehotspotconfiguration.o \
		build/moc_plugin.o \
		build/moc_plugingui.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		qtmhDummy.pro
QMAKE_TARGET  = qtmhdummy
DESTDIR       = ../../build/plugins/
TARGET        = libqtmhdummy.so
TARGETD       = libqtmhdummy.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../build/plugins/$(TARGET)

../../build/plugins/$(TARGET): src/ui_plugingui.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../build/plugins/ || $(MKDIR) ../../build/plugins/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../build/plugins/



Makefile: qtmhDummy.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -o Makefile qtmhDummy.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../globalsettings.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile qtmhDummy.pro

dist: 
	@$(CHK_DIR_EXISTS) build/qtmhdummy0.1 || $(MKDIR) build/qtmhdummy0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/qtmhdummy0.1/ && $(COPY_FILE) --parents ../src/mobilehotspotpluginhelper.h ../src/mobilehotspotconfiguration.h ../src/mobilehotspotplugin.h src/plugin.h src/pluginconfiguration.h src/plugingui.h src/ui_plugingui.h build/qtmhdummy0.1/ && $(COPY_FILE) --parents ../src/mobilehotspotpluginhelper.cpp ../src/mobilehotspotconfiguration.cpp src/plugin.cpp src/pluginconfiguration.cpp src/plugingui.cpp build/qtmhdummy0.1/ && $(COPY_FILE) --parents src/plugingui.ui build/qtmhdummy0.1/ && (cd `dirname build/qtmhdummy0.1` && $(TAR) qtmhdummy0.1.tar qtmhdummy0.1 && $(COMPRESS) qtmhdummy0.1.tar) && $(MOVE) `dirname build/qtmhdummy0.1`/qtmhdummy0.1.tar.gz . && $(DEL_FILE) -r build/qtmhdummy0.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) ../../build/plugins/libqtmhdummy.so
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: src/.tmp/moc_mobilehotspotconfiguration.cpp src/.tmp/moc_plugin.cpp src/.tmp/moc_plugingui.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) src/.tmp/moc_mobilehotspotconfiguration.cpp src/.tmp/moc_plugin.cpp src/.tmp/moc_plugingui.cpp
src/.tmp/moc_mobilehotspotconfiguration.cpp: ../src/mobilehotspotconfiguration.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../src/mobilehotspotconfiguration.h -o src/.tmp/moc_mobilehotspotconfiguration.cpp

src/.tmp/moc_plugin.cpp: ../src/mobilehotspotpluginhelper.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		src/pluginconfiguration.h \
		src/plugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/plugin.h -o src/.tmp/moc_plugin.cpp

src/.tmp/moc_plugingui.cpp: src/ui_plugingui.h \
		src/pluginconfiguration.h \
		../src/mobilehotspotpluginhelper.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		src/plugingui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/plugingui.h -o src/.tmp/moc_plugingui.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: src/ui_plugingui.h
compiler_uic_clean:
	-$(DEL_FILE) src/ui_plugingui.h
src/ui_plugingui.h: src/plugingui.ui
	/usr/bin/uic src/plugingui.ui -o src/ui_plugingui.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

build/mobilehotspotpluginhelper.o: ../src/mobilehotspotpluginhelper.cpp ../src/mobilehotspotconfiguration.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotpluginhelper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/mobilehotspotpluginhelper.o ../src/mobilehotspotpluginhelper.cpp

build/mobilehotspotconfiguration.o: ../src/mobilehotspotconfiguration.cpp ../src/mobilehotspotconfiguration.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/mobilehotspotconfiguration.o ../src/mobilehotspotconfiguration.cpp

build/plugin.o: src/plugin.cpp ../src/mobilehotspotpluginhelper.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		src/pluginconfiguration.h \
		src/plugingui.h \
		src/ui_plugingui.h \
		src/plugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/plugin.o src/plugin.cpp

build/pluginconfiguration.o: src/pluginconfiguration.cpp ../src/mobilehotspotpluginhelper.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		src/pluginconfiguration.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/pluginconfiguration.o src/pluginconfiguration.cpp

build/plugingui.o: src/plugingui.cpp src/plugingui.h \
		src/ui_plugingui.h \
		src/pluginconfiguration.h \
		../src/mobilehotspotpluginhelper.h \

=== qtMobileHotspot/qtmhIptablesFix/Makefile ===
#############################################################################
# Makefile for building: libqtmhiptablesfix.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Sep 21 00:19:39 2011
# Project:  qtmhIptablesFix.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile qtmhIptablesFix.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -Isrc/.tmp -Isrc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lgq-gconf -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = ../src/mobilehotspotpluginhelper.cpp \
		../src/mobilehotspotconfiguration.cpp \
		../src/commandhelper.cpp \
		src/plugin.cpp \
		src/pluginconfiguration.cpp \
		src/plugingui.cpp src/.tmp/moc_mobilehotspotconfiguration.cpp \
		src/.tmp/moc_plugin.cpp \
		src/.tmp/moc_plugingui.cpp
OBJECTS       = build/mobilehotspotpluginhelper.o \
		build/mobilehotspotconfiguration.o \
		build/commandhelper.o \
		build/plugin.o \
		build/pluginconfiguration.o \
		build/plugingui.o \
		build/moc_mobilehotspotconfiguration.o \
		build/moc_plugin.o \
		build/moc_plugingui.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		qtmhIptablesFix.pro
QMAKE_TARGET  = qtmhiptablesfix
DESTDIR       = ../../build/plugins/
TARGET        = libqtmhiptablesfix.so
TARGETD       = libqtmhiptablesfix.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../build/plugins/$(TARGET)

../../build/plugins/$(TARGET): src/ui_plugingui.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../build/plugins/ || $(MKDIR) ../../build/plugins/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../build/plugins/



Makefile: qtmhIptablesFix.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -o Makefile qtmhIptablesFix.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../globalsettings.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile qtmhIptablesFix.pro

dist: 
	@$(CHK_DIR_EXISTS) build/qtmhiptablesfix0.1 || $(MKDIR) build/qtmhiptablesfix0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/qtmhiptablesfix0.1/ && $(COPY_FILE) --parents ../src/mobilehotspotpluginhelper.h ../src/mobilehotspotconfiguration.h ../src/mobilehotspotplugin.h ../src/commandhelper.h src/plugin.h src/pluginconfiguration.h src/plugingui.h src/ui_plugingui.h build/qtmhiptablesfix0.1/ && $(COPY_FILE) --parents ../src/mobilehotspotpluginhelper.cpp ../src/mobilehotspotconfiguration.cpp ../src/commandhelper.cpp src/plugin.cpp src/pluginconfiguration.cpp src/plugingui.cpp build/qtmhiptablesfix0.1/ && $(COPY_FILE) --parents src/plugingui.ui build/qtmhiptablesfix0.1/ && $(COPY_FILE) --parents libqtmhiptablesfix-fr.ts build/qtmhiptablesfix0.1/ && (cd `dirname build/qtmhiptablesfix0.1` && $(TAR) qtmhiptablesfix0.1.tar qtmhiptablesfix0.1 && $(COMPRESS) qtmhiptablesfix0.1.tar) && $(MOVE) `dirname build/qtmhiptablesfix0.1`/qtmhiptablesfix0.1.tar.gz . && $(DEL_FILE) -r build/qtmhiptablesfix0.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) ../../build/plugins/libqtmhiptablesfix.so
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: src/.tmp/moc_mobilehotspotconfiguration.cpp src/.tmp/moc_plugin.cpp src/.tmp/moc_plugingui.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) src/.tmp/moc_mobilehotspotconfiguration.cpp src/.tmp/moc_plugin.cpp src/.tmp/moc_plugingui.cpp
src/.tmp/moc_mobilehotspotconfiguration.cpp: ../src/mobilehotspotconfiguration.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../src/mobilehotspotconfiguration.h -o src/.tmp/moc_mobilehotspotconfiguration.cpp

src/.tmp/moc_plugin.cpp: ../src/mobilehotspotpluginhelper.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		src/pluginconfiguration.h \
		src/plugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/plugin.h -o src/.tmp/moc_plugin.cpp

src/.tmp/moc_plugingui.cpp: src/ui_plugingui.h \
		src/pluginconfiguration.h \
		../src/mobilehotspotpluginhelper.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		src/plugingui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/plugingui.h -o src/.tmp/moc_plugingui.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: src/ui_plugingui.h
compiler_uic_clean:
	-$(DEL_FILE) src/ui_plugingui.h
src/ui_plugingui.h: src/plugingui.ui
	/usr/bin/uic src/plugingui.ui -o src/ui_plugingui.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

build/mobilehotspotpluginhelper.o: ../src/mobilehotspotpluginhelper.cpp ../src/mobilehotspotconfiguration.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotpluginhelper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/mobilehotspotpluginhelper.o ../src/mobilehotspotpluginhelper.cpp

build/mobilehotspotconfiguration.o: ../src/mobilehotspotconfiguration.cpp ../src/mobilehotspotconfiguration.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/mobilehotspotconfiguration.o ../src/mobilehotspotconfiguration.cpp

build/commandhelper.o: ../src/commandhelper.cpp ../src/commandhelper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/commandhelper.o ../src/commandhelper.cpp

build/plugin.o: src/plugin.cpp ../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		../src/mobilehotspotpluginhelper.h \
		../src/commandhelper.h \
		src/pluginconfiguration.h \
		src/plugingui.h \
		src/ui_plugingui.h \
		src/plugin.h

=== qtMobileHotspot/qtmhMacFilter/Makefile ===
#############################################################################
# Makefile for building: libqtmhmacfilter.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Sep 21 00:19:39 2011
# Project:  qtmhMacFilter.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile qtmhMacFilter.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -Isrc/.tmp -Isrc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lgq-gconf -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = ../src/mobilehotspotpluginhelper.cpp \
		../src/mobilehotspotconfiguration.cpp \
		../src/commandhelper.cpp \
		src/plugin.cpp \
		src/pluginconfiguration.cpp \
		src/plugingui.cpp \
		src/macinputdialog.cpp src/.tmp/moc_mobilehotspotconfiguration.cpp \
		src/.tmp/moc_plugin.cpp \
		src/.tmp/moc_plugingui.cpp \
		src/.tmp/moc_macinputdialog.cpp
OBJECTS       = build/mobilehotspotpluginhelper.o \
		build/mobilehotspotconfiguration.o \
		build/commandhelper.o \
		build/plugin.o \
		build/pluginconfiguration.o \
		build/plugingui.o \
		build/macinputdialog.o \
		build/moc_mobilehotspotconfiguration.o \
		build/moc_plugin.o \
		build/moc_plugingui.o \
		build/moc_macinputdialog.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		qtmhMacFilter.pro
QMAKE_TARGET  = qtmhmacfilter
DESTDIR       = ../../build/plugins/
TARGET        = libqtmhmacfilter.so
TARGETD       = libqtmhmacfilter.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../build/plugins/$(TARGET)

../../build/plugins/$(TARGET): src/ui_plugingui.h src/ui_macinputdialog.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../build/plugins/ || $(MKDIR) ../../build/plugins/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../build/plugins/



Makefile: qtmhMacFilter.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -o Makefile qtmhMacFilter.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../globalsettings.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile qtmhMacFilter.pro

dist: 
	@$(CHK_DIR_EXISTS) build/qtmhmacfilter0.1 || $(MKDIR) build/qtmhmacfilter0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/qtmhmacfilter0.1/ && $(COPY_FILE) --parents ../src/mobilehotspotpluginhelper.h ../src/mobilehotspotconfiguration.h ../src/mobilehotspotplugin.h ../src/commandhelper.h src/plugin.h src/pluginconfiguration.h src/plugingui.h src/ui_plugingui.h src/macinputdialog.h src/ui_macinputdialog.h build/qtmhmacfilter0.1/ && $(COPY_FILE) --parents ../src/mobilehotspotpluginhelper.cpp ../src/mobilehotspotconfiguration.cpp ../src/commandhelper.cpp src/plugin.cpp src/pluginconfiguration.cpp src/plugingui.cpp src/macinputdialog.cpp build/qtmhmacfilter0.1/ && $(COPY_FILE) --parents src/plugingui.ui src/macinputdialog.ui build/qtmhmacfilter0.1/ && $(COPY_FILE) --parents libqtmhmacfilter-fr.ts build/qtmhmacfilter0.1/ && (cd `dirname build/qtmhmacfilter0.1` && $(TAR) qtmhmacfilter0.1.tar qtmhmacfilter0.1 && $(COMPRESS) qtmhmacfilter0.1.tar) && $(MOVE) `dirname build/qtmhmacfilter0.1`/qtmhmacfilter0.1.tar.gz . && $(DEL_FILE) -r build/qtmhmacfilter0.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) ../../build/plugins/libqtmhmacfilter.so
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: src/.tmp/moc_mobilehotspotconfiguration.cpp src/.tmp/moc_plugin.cpp src/.tmp/moc_plugingui.cpp src/.tmp/moc_macinputdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) src/.tmp/moc_mobilehotspotconfiguration.cpp src/.tmp/moc_plugin.cpp src/.tmp/moc_plugingui.cpp src/.tmp/moc_macinputdialog.cpp
src/.tmp/moc_mobilehotspotconfiguration.cpp: ../src/mobilehotspotconfiguration.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../src/mobilehotspotconfiguration.h -o src/.tmp/moc_mobilehotspotconfiguration.cpp

src/.tmp/moc_plugin.cpp: ../src/mobilehotspotpluginhelper.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		src/pluginconfiguration.h \
		src/plugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/plugin.h -o src/.tmp/moc_plugin.cpp

src/.tmp/moc_plugingui.cpp: src/ui_plugingui.h \
		src/pluginconfiguration.h \
		../src/mobilehotspotpluginhelper.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		src/plugingui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/plugingui.h -o src/.tmp/moc_plugingui.cpp

src/.tmp/moc_macinputdialog.cpp: src/ui_macinputdialog.h \
		src/macinputdialog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/macinputdialog.h -o src/.tmp/moc_macinputdialog.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: src/ui_plugingui.h src/ui_macinputdialog.h
compiler_uic_clean:
	-$(DEL_FILE) src/ui_plugingui.h src/ui_macinputdialog.h
src/ui_plugingui.h: src/plugingui.ui
	/usr/bin/uic src/plugingui.ui -o src/ui_plugingui.h

src/ui_macinputdialog.h: src/macinputdialog.ui
	/usr/bin/uic src/macinputdialog.ui -o src/ui_macinputdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

build/mobilehotspotpluginhelper.o: ../src/mobilehotspotpluginhelper.cpp ../src/mobilehotspotconfiguration.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotpluginhelper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/mobilehotspotpluginhelper.o ../src/mobilehotspotpluginhelper.cpp

=== qtMobileHotspot/qtmhPrivoxy/Makefile ===
#############################################################################
# Makefile for building: libqtmhprivoxy.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Sep 21 00:19:39 2011
# Project:  qtmhPrivoxy.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile qtmhPrivoxy.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DQT_SHARED -I/usr/include/gq -I/usr/include/QtCore -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -Isrc/.tmp -Isrc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lgq-gconf -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = ../src/mobilehotspotpluginhelper.cpp \
		../src/mobilehotspotconfiguration.cpp \
		../src/commandhelper.cpp \
		src/plugin.cpp \
		src/pluginconfiguration.cpp \
		src/plugingui.cpp \
		src/privoxyhelper.cpp src/.tmp/moc_mobilehotspotconfiguration.cpp \
		src/.tmp/moc_plugin.cpp \
		src/.tmp/moc_plugingui.cpp
OBJECTS       = build/mobilehotspotpluginhelper.o \
		build/mobilehotspotconfiguration.o \
		build/commandhelper.o \
		build/plugin.o \
		build/pluginconfiguration.o \
		build/plugingui.o \
		build/privoxyhelper.o \
		build/moc_mobilehotspotconfiguration.o \
		build/moc_plugin.o \
		build/moc_plugingui.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		qtmhPrivoxy.pro
QMAKE_TARGET  = qtmhprivoxy
DESTDIR       = ../../build/plugins/
TARGET        = libqtmhprivoxy.so
TARGETD       = libqtmhprivoxy.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../build/plugins/$(TARGET)

../../build/plugins/$(TARGET): src/ui_plugingui.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../build/plugins/ || $(MKDIR) ../../build/plugins/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../build/plugins/



Makefile: qtmhPrivoxy.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../globalsettings.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl
	$(QMAKE) -o Makefile qtmhPrivoxy.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
../../globalsettings.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile qtmhPrivoxy.pro

dist: 
	@$(CHK_DIR_EXISTS) build/qtmhprivoxy0.1 || $(MKDIR) build/qtmhprivoxy0.1 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/qtmhprivoxy0.1/ && $(COPY_FILE) --parents ../src/mobilehotspotpluginhelper.h ../src/mobilehotspotconfiguration.h ../src/mobilehotspotplugin.h ../src/commandhelper.h src/plugin.h src/pluginconfiguration.h src/plugingui.h src/ui_plugingui.h src/privoxyhelper.h build/qtmhprivoxy0.1/ && $(COPY_FILE) --parents ../src/mobilehotspotpluginhelper.cpp ../src/mobilehotspotconfiguration.cpp ../src/commandhelper.cpp src/plugin.cpp src/pluginconfiguration.cpp src/plugingui.cpp src/privoxyhelper.cpp build/qtmhprivoxy0.1/ && $(COPY_FILE) --parents src/plugingui.ui build/qtmhprivoxy0.1/ && $(COPY_FILE) --parents libqtmhprivoxy-fr.ts build/qtmhprivoxy0.1/ && (cd `dirname build/qtmhprivoxy0.1` && $(TAR) qtmhprivoxy0.1.tar qtmhprivoxy0.1 && $(COMPRESS) qtmhprivoxy0.1.tar) && $(MOVE) `dirname build/qtmhprivoxy0.1`/qtmhprivoxy0.1.tar.gz . && $(DEL_FILE) -r build/qtmhprivoxy0.1


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) ../../build/plugins/libqtmhprivoxy.so
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: src/.tmp/moc_mobilehotspotconfiguration.cpp src/.tmp/moc_plugin.cpp src/.tmp/moc_plugingui.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) src/.tmp/moc_mobilehotspotconfiguration.cpp src/.tmp/moc_plugin.cpp src/.tmp/moc_plugingui.cpp
src/.tmp/moc_mobilehotspotconfiguration.cpp: ../src/mobilehotspotconfiguration.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../src/mobilehotspotconfiguration.h -o src/.tmp/moc_mobilehotspotconfiguration.cpp

src/.tmp/moc_plugin.cpp: ../src/mobilehotspotpluginhelper.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		src/pluginconfiguration.h \
		src/plugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/plugin.h -o src/.tmp/moc_plugin.cpp

src/.tmp/moc_plugingui.cpp: src/ui_plugingui.h \
		src/pluginconfiguration.h \
		../src/mobilehotspotpluginhelper.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		src/plugingui.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/plugingui.h -o src/.tmp/moc_plugingui.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: src/ui_plugingui.h
compiler_uic_clean:
	-$(DEL_FILE) src/ui_plugingui.h
src/ui_plugingui.h: src/plugingui.ui
	/usr/bin/uic src/plugingui.ui -o src/ui_plugingui.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

build/mobilehotspotpluginhelper.o: ../src/mobilehotspotpluginhelper.cpp ../src/mobilehotspotconfiguration.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotpluginhelper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/mobilehotspotpluginhelper.o ../src/mobilehotspotpluginhelper.cpp

build/mobilehotspotconfiguration.o: ../src/mobilehotspotconfiguration.cpp ../src/mobilehotspotconfiguration.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/mobilehotspotconfiguration.o ../src/mobilehotspotconfiguration.cpp

build/commandhelper.o: ../src/commandhelper.cpp ../src/commandhelper.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/commandhelper.o ../src/commandhelper.cpp

build/plugin.o: src/plugin.cpp ../src/mobilehotspotpluginhelper.h \
		../src/mobilehotspotplugin.h \
		../src/mobilehotspotconfiguration.h \
		src/pluginconfiguration.h \
		src/privoxyhelper.h \
		src/plugingui.h \
		src/ui_plugingui.h \
		src/plugin.h

=== debian/changelog ===
qtmobilehotspot (0.2) unstable; urgency=low

  * Update of the application
    - Active internet connection is used if its the same as the hotspot one
    - Previous internet connection is restored after hotspot's shutdown
    - 2g/3g switcher at startup is now integrated (at stop the original state is restored)
  * Plugins
    - New : Embedded Privoxy (with GUI for client user-agent switching)
    - Removed : 2g/3g switcher plugin (not needed anymore, see above)

 -- Loic Burtin <speedoflight@hotmail.fr>  Wed, 21 Sept 2011 23:19:30 +0200

qtmobilehotspot (0.1) unstable; urgency=low

  * Initial pre-release for Maemo5
    - Wifi hotspot configuration (name, WEP/not-encrypted)
    - USB hotspot
    - Enable/disable internet sharing
    - Change LAN ip
  * Plugins
    - Iptables tweaker
    - MAC filter (allow/disallow MACs)
    - 2g/3g switcher at start/stop

 -- Loic Burtin <speedoflight@hotmail.fr>  Mon, 12 Sept 2011 23:20:57 +0200

=== debian/control ===
Source: qtmobilehotspot
Section: user/network
Priority: optional
Maintainer: Loic Burtin <speedoflight@hotmail.fr>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.1 ), libgq-gconf-dev (>= 0.2-5+0m5)
Standards-Version: 3.7.2

Package: qtmobilehotspot
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, rootsh, iptables, wireless-tools, dnsmasq
XB-Maemo-Display-Name: Qt Mobile Hotspot
Description: Turn your N900 into a Wifi/USB hotspot !
 This application allows you to use your N900 as a Wifi/USB access point.
 It is based on the original MobileHotSpot, but has more configuration options and functionalities.
 .
 Warning : ONLY FOR POWER USERS !
 The power kernel is required.
 If you do not know what it is, stay away from this software.
 You should also know how to reflash your device.
 .
 Now featuring :
 - Wifi Ad-Hoc hotspot
 -- Choice of the AP name and encryption (WEP/not-encrypted)
 - USB hotspot
 - Enable/disable internet sharing
 - Change LAN ip
 - Automatically change 2G/3G enforcement at hotspot startup
 - Some funny plugins
 -- Iptables tweaker (add your own iptables rules)
 -- MAC filter (allow/disallow MACs)
 -- Embedded Privoxy (for client user-agent editing, power users may also edit configuration files)
XSBC-Bugtracker:
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAYKwAAGCsBt3o+WQAAAAd0
 SU1FB9sIHQE5Csm9jFwAAAjcSURBVGjezVltjB5VFX6e2V22LSy1aaQthK+0
 pYgaaAGbwkzrB9rGyEeJNukMNSCiIip+xB84Iy4wg6BERYIJhIQ08k5DJdH6
 A2ippmVGEkJNqwEMVhvaIsWmAQXaUtp9H3+8566zw7Tdj8Jykzcz887MPc85
 5znn3HOHsBEkOYo0hB+3ukmuBPBJAIuLNPwrxnEEST4XwKOSniB5bZGGBx1W
 APDcg+4PAOslhZKmS1qCcR6SlkiaDmCFpCdqWMHqw37c+jrJeyUBwMYyiz6O
 98Hw49YGAItIQtINZRb9yt3zHH2CJO8lebOB30Zyqb08nsA7Vu5g2SYJJG8O
 krw3SPKOAhU+3SppGkkAyIo0fA0AyiyCezhI8tlBkkdBkh/3LoDtDZI88uPW
 TGfUMoscvV8DkJkHpgG4tUhDBEneoZAft04k+V/j3I4yi05vEDCb5AuSSPL2
 Ig3jYxysmaQfkJSkOWUWbW3AsJ3kaYZzcplFr3vmopskwehzddV9ftxCkOQ9
 AFa6mJG0/l0I1j9U4nJlkOQ9VQw2rnY4Sd4EAAySvFfSRpLzAeyUdAbJtnOR
 pdYrSP5WHfPfDeA79WwwRuu7059LupEdNywts+h3DkOQ5JDkkXwRwKmSnia5
 yAMwDcCHbYLfA2g7YO5I8kHTer+kpEhDFGmIRT96eCiQOMfF8UPDATpkuPkk
 JSYDJB+sYrBj2zDCME+jH7c+RXI9gEOSPl9m0Zoa774AYLUp8u0iDe/uABGK
 NEKQ5GdKWgfgyTKLrh2GtSdIeoxkl4Qryix8dUG8Gt085Cx9o6Rf2OPLyiz6
 TQ3P5SQfAdAt6RIPwCLj1dskN9cFkrzGjgOS7vm/xSLjLkqSs0hcHSStk4bB
 mHkAFkoKSD0MAD18e9DSku4hOVCVXcOzWdLbFq+LPADn242DRRruqGl7gsUE
 JK0rs6hds2Y/oJMFAOIdRRrtXnjzQ6jUlul+3Jrhx62uCl2eArmeBCReEiSt
 S55Mrxqcs8yitqR1JvMMP26dUKPbDpIH7fJ8j+RMy/27GgrXVJJTTcFnhoJv
 dQNabmbbVmSdtNoe8ODHrckANgJ4HsDzJJ8OkvwUFwOUPicQgAAwbrDyM3ac
 CmBqvbAB2EUSJGd6AGaY67a7wlUZEwFMNHdtH5r2cArAKQQBdmKk834IAD/p
 0AQfIDlZ0vmSHijSEAuTFoosOkjpcbPy6X7cmljTYbvJnGg/VLE5rABmeAAm
 2cXrDZboBXCcmWpv1Tsk+wD0igLFetH5bCeTgK52kFwCAE+62AG2Ohk2V9XK
 e03mcSSbqr7DOsmT1La01dVQXNoAxA7HuoxqbrQlCQJE9QxVHDtr60RA+ldt
 +h6TIUuPzjAwWbR7ajBslyWetkfyTVeaGx48IOmAXfZVC5ek/wDY3ymdPG8o
 Vt5GamCwanZQxB0Lr3Kzz7V7+9GZq5rvnUcO2K9u2MmG700PwEum9eyGYrMX
 wF4DMqd6o8yilwG+Ypcr/Dj3AMC/aRXKLHwMwgUEbgGZgQjKLFrpJznKbDn8
 OD+T1PxO8uKfiyw6VAM4x2Jgr/3qhXC2YX7Jk/SCUWiKH7e6a1beQ3KPXc6v
 ZylSP7NAPJ7UowBQ/riTmIos2lJkUX+Zhsmr3T0lAJSDlR1/BAh2guSHDVlm
 vll4j6Q9Ve9YxzjFjPqCR3KTadMNYFbNygckbbH7FwVJ3lfNUkUa/VqD2YSL
 /Tif0VS5nutfVq0tvqAz7DIr0nCrs6wt3fsAXGSG2VJmUZ1CswB0Wxrd5AHY
 YNbuBXBhQxzcX/HInQ1rmysl3Q/oy2UW7gr6H2lc81RAlhRvk3QHgP5qf1uX
 UZVdGRcaVgDYwCDJZwDYbIu6VZKiMotUq8hbSJ4L4BCAc4o03NrYlCQ52B5A
 cfsKBEl+sqRrALxB8pedGrAKAxrAn7KrDrdOmm3Fr1vSX8osOq+GgyRbAJYD
 +DeAuR6A3QCetWcuJdnT4IUv2Wm3pLv8uNXdBKBMQwf+Y5JeIpna8vsVP25N
 FXRY8H7c6pZ0l1G5KrOKowfApXb5LIDdXpGGAwDWmPtOMKsNBpS5fjOA1ZYZ
 LgPwlSP1sJIeqGwYyFrV/qP0D9cBuMxkrAaw2dGuMu81ktzaaE2RhgOsuO8t
 AL2S9gE4vrakQJDkkyRtAnAWyRuKNLzvMEpcDKCsFEDXQQ0A6DWDNb33VQD3
 kvyHpHllFu1rMM5ekpMAHCjScAIAeJXUdZ1pP4nk7fUALNJwH4B5JE/tBO1h
 m5XE3M2K6yWpC8CKI3juPpt7bplF++qJwDBNMozXuffohEvyAGwCMJfkGwAu
 KNLw7/UscZRmZSKAN63xZ604geRzRRp+ZCTbKpZazwKwSVKf0fkC1/ayBmAx
 gMdN4BsAppVZtH8EApcCeMTA850rALVJzirS8MURzDkBwO7Kgm9JkYZrh2xs
 VWiyVtItZq0+R4fhNuYkP03SawDvWOVJ+swIe/6EZJ9V3luKNFxbpdegArJF
 X5lF/QBulFQC+OkItkV6JQXG0cMNkvxEkOTeCBS4U1JJ8ruGbRArmixV57zj
 4TA8cJprNGr0ryv6MoCZAN462rx12U1YeCz2dGw3we2sHQm8S61zizTcciz2
 lLyxTlDx1jePBN7xx7j8/SPtE41k8FhYwY9bCwA8RVLDmVMSyizi+8IDZtlw
 BAaRKX3F+0IBP25NlLSgqXc9ApNActm4K2BLgA8C+BCPFgDv9MK5tn80fgqU
 WQSSCytbMyOJvTkkZ4ybAi6DSPrGKKfoknT5uClgDfZk+66gkb5vFfv6saZT
 b4zZ52u2bhrt+6cHST5nLB9KxpqFRpI+6+Dd6fXveSGz7DMTwNNu93qU38UE
 4J8kzz5cp/aueMCyz0fHAr7StZ0k6ezRfo/2Rml9SLryKEvn4SpxIsl5w1nx
 HhMFKoKuGm3wNlDpi+9pEAdJ7pHcJOlQ5fuy4/TRaC/3jj3+FoC/vWcK+HEL
 RRq2ASwAcB6A75FcJ+nVYSwnaNTfaV8aVwA4p8yib402Bv4HoEXpAjwBk8MA
 AAAASUVORK5CYII=
 ====
